"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBabelPresetReactOpts = void 0;
const utils_1 = require("@umijs/utils");
function getBabelPresetReactOpts(pkg) {
    const reactVer = Object.assign({}, pkg.dependencies, pkg.peerDependencies).react;
    let opts = {};
    if (reactVer) {
        const isLTRReact17 = utils_1.semver.subset(reactVer, '>=17.0.0-0');
        opts = {
            // force use production mode, to make sure dist of dev/build are consistent
            // ref: https://github.com/umijs/umi/blob/6f63435d42f8ef7110f73dcf33809e6cda750332/packages/babel-preset-umi/src/index.ts#L45
            development: false,
            // use legacy jsx runtime for react@<17
            runtime: isLTRReact17 ? 'automatic' : 'classic',
            ...(isLTRReact17 ? {} : { importSource: undefined }),
        };
    }
    return opts;
}
exports.getBabelPresetReactOpts = getBabelPresetReactOpts;
